Page MenuHomePhabricator

[AMDGPU] Fix useDeprecatedPositionallyEncodedOperands errors in R600.
ClosedPublic

Authored by jyknight on Sep 16 2022, 2:26 PM.

Details

Summary

This is a follow-on to https://reviews.llvm.org/D134073.

It renames a couple of fields to match their operands, as well as
introducing sub-operand names where required.

This change _only_ fixes the 'R600' half of the target, not the
'AMDGPU' half. Fixing the AMDGPU half will be a significantly more
difficult change (which I've not yet attempted.)

Diff Detail

Event Timeline

jyknight created this revision.Sep 16 2022, 2:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 16 2022, 2:26 PM
jyknight requested review of this revision.Sep 16 2022, 2:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 16 2022, 2:26 PM
arsenm accepted this revision.Sep 19 2022, 3:38 PM
arsenm added inline comments.
llvm/lib/Target/AMDGPU/R600Instructions.td
652–654

Why did this need to be renamed?

This revision is now accepted and ready to land.Sep 19 2022, 3:38 PM
jyknight added inline comments.Sep 19 2022, 4:18 PM
llvm/lib/Target/AMDGPU/R600Instructions.td
652–654

To match the "addr" in the (ins i32imm:$addr) operand.

This revision was landed with ongoing or failed builds.Sep 25 2022, 2:55 PM
This revision was automatically updated to reflect the committed changes.